function pimpPlot(LineWidth,FontChange,PlotDimension,labelFontSize,ticksFontSize)

% Input LineWidth
%   -> Numeric value of the linewidth. Default is 1.5. Don't change
%      linewidth is 0.
% Input FontChange
%   -> 0: don't change 'FontName' to Verdana
%   -> 1: change 'FontName' to Verdana (DEFAULT)
% Input PlotDimension
%   -> '2D': 2-dimensional plot (DEFAULT)
%   -> '3D': 3-dimensional plot (e.g. surface plot)
% Inputs labelFontSize and ticksFontSize
%   -> Numeric values of the font sizes of the labels and ticks. Defaults 
%      are 14 and 12.
%
% (C) S. Lang, 30.06.2014

if ~nargin
    LineWidth = 1.5;
    FontChange = 1;
    PlotDimension = '2D';
    labelFontSize = 12;
    ticksFontSize = 10;
elseif nargin == 1
    FontChange = 1;
    PlotDimension = '2D';
    labelFontSize = 12;
    ticksFontSize = 10;
elseif nargin == 2
    PlotDimension = '2D';
    labelFontSize = 12;
    ticksFontSize = 10;
elseif nargin == 3
    labelFontSize = 12;
    ticksFontSize = 10;
elseif nargin == 4
    error('Invalid number of input arguments')
end

% Schwarzen Rahmen um Koordinatensystem
set(gca,'Box','off');

% Bewirkt, dass die Striche an den Achsen nach außen zeigen
set(gca,'TickDir','Out');

% Linienstärke der Achsen einstellen
set(gca,'LineWidth',1.5)
set(gca,'TickLength',[0.015 0.015])

% Schriftgröße der Achsenbeschriftung einstllen
if FontChange
    set(gca,'FontName','Verdana','fontsize',ticksFontSize);
else
    set(gca,'fontsize',ticksFontSize);
end

% Schriftgröße der Achsenlabels und des Titels einstellen
switch PlotDimension
    case '2D'
        if FontChange
            xh=get(gca,'xlabel'); set(xh,'FontName','Verdana','fontsize',labelFontSize);
            yh=get(gca,'ylabel'); set(yh,'FontName','Verdana','fontsize',labelFontSize,'Rotation',90);
            th=get(gca,'title'); set(th,'FontWeight','normal','FontName','Verdana','fontsize',labelFontSize);
        else
            xh=get(gca,'xlabel'); set(xh,'fontsize',labelFontSize);
            yh=get(gca,'ylabel'); set(yh,'fontsize',labelFontSize,'Rotation',90);
            th=get(gca,'title'); set(th,'fontsize',labelFontSize);
        end
    case '3D'
        if FontChange
            xh=get(gca,'xlabel'); set(xh,'FontName','Verdana','fontsize',labelFontSize);
            yh=get(gca,'ylabel'); set(yh,'FontName','Verdana','fontsize',labelFontSize);
            zh=get(gca,'zlabel'); set(zh,'FontName','Verdana','fontsize',labelFontSize,'Rotation',90);
            th=get(gca,'title'); set(th,'FontWeight','normal','FontName','Verdana','fontsize',labelFontSize);
        else
            xh=get(gca,'xlabel'); set(xh,'fontsize',labelFontSize);
            yh=get(gca,'ylabel'); set(yh,'fontsize',labelFontSize);
            zh=get(gca,'zlabel'); set(zh,'fontsize',labelFontSize,'Rotation',90);
            th=get(gca,'title'); set(th,'fontsize',labelFontSize);
        end
end

% Stärke der geplotteten Linien einstellen (Schlecht, wenn mit Symbolen geplottet wurde!)
if LineWidth ~= 0
    dh=get(gca,'Children'); set(dh,'linewidth',LineWidth);
end

% Hintergrund der Figure auf weiß einstellen
set(gcf,'Color','w');